Results 1 to 6 of 6

Thread: ATI R300/400 Linux Performance

  1. #1
    Join Date
    Jan 2007
    Posts
    14,302

    Default ATI R300/400 Linux Performance

    Phoronix: ATI R300/400 Linux Performance

    To some extent, ATI's R300 and R400 series is more popular than the R500 (and now R600) series for Linux users. The R300/400 series has a reliable open-source driver and while the performance of the X.Org Radeon driver lags behind ATI's binary driver, it's currently the fastest for offering open-source 3D performance on dedicated graphics cards. With the cards being around much longer, they are also much cheaper and have become somewhat popular for Linux desktops that can power Compiz and Beryl "eye candy" effects. However, it's just not the R500 and R600 series that receive a nice performance boost from the new ATI/AMD Linux driver, but so does the R300/400 series. Using the fglrx 8.41 driver on this older graphics hardware will allow for a sizable performance improvement compared to the older binary drivers. Much of AMD's focus is on the R500 and R600 series, as is our focus, but we've completed some benchmarks comparing the new and old fglrx drivers using an ATI Mobility Radeon X300 64MB and ATI Radeon X800XL 256MB graphics card.

    http://www.phoronix.com/vr.php?view=10964

  2. #2
    Join Date
    Sep 2007
    Posts
    1

    Default

    Quote Originally Posted by phoronix View Post
    Phoronix: ATI R300/400 Linux Performance
    With the cards being around much longer, they are also much cheaper and have become somewhat popular for Linux desktops that can power Compiz and Beryl "eye candy" effects. However, it's just not the R500 and R600 series that receive a nice performance boost from the new ATI/AMD Linux driver, but so does the R300/400 series. Using the fglrx 8.41 driver on this older graphics hardware will allow for a sizable performance improvement compared to the older binary drivers.

    Congratulations to AMD for improvements where it does NOT count.

    It is *irrelevant* how slow doom3 runs on the R300 family. Why? Because doom3 is unplayable on the R300 family anyway. What *is* infinitely more relevant is:

    * suspend-to-ram with fglrx (which has been broken since 8.37).
    * on-the-fly display switching (which has not been available at all with fglrx). AMD should be ashamed, when open source developers of radeon manage to support on-the-fly display switching without the specs; whereas AMD/ATI cannot make it work *AT ALL* (yes, I know that 8.28 mentioned display switching, but it does NOT work)


    Much of AMD's focus is on the R500 and R600 series, as is our focus, but we've completed some benchmarks comparing the new and old fglrx drivers using an ATI Mobility Radeon X300 64MB and ATI Radeon X800XL 256MB graphics card.

    Talk about wrong objectives...

    For desktop users the speed improvement will surely be welcome. The laptop users could not care less. What they want is *reliability*, which, thus far, has been lacking. How many customers did ATI (and now AMD) lost to Intel because of that? Or, given a choice of graphics card swapping, I'd gladly exchange my X300 for Intel's X3100 out of my own pocket.

    Perhaps the testing panel could include suspend-to-ram, suspend-to-disk and external display switching in the future testing procedures, before touting yet another (I fear just as broken) fglrx version as the greatest thing since sliced bread.
    Last edited by zotbar1234; 09-05-2007 at 05:44 AM.

  3. #3
    Join Date
    Jun 2007
    Location
    .ro/.ca
    Posts
    232

    Default

    Remember zotbar1234 that the articles were just a preview, not a full description of the new drivers.

    You only have to wait 1 week to see the rest...keep your comments for that time.

  4. #4
    Join Date
    Sep 2006
    Location
    PL
    Posts
    907

    Default

    these drivers fixed one of the longest existing bugs in fglrx's history.

    i guess developers will have more time to mess under the hood of other areas of the driver right now.

  5. #5
    Join Date
    Sep 2007
    Posts
    1

    Default Expand the Tests

    All of your tests are based on the iD engines. Can you try and include something based off the Unreal Engine, like America's Army? The native Linux v2.5 version -- freely available -- is still popular.

    Thanks,

    Charles

  6. #6
    Join Date
    Sep 2007
    Posts
    1

    Default

    Quote Originally Posted by chill633 View Post
    All of your tests are based on the iD engines[snip]
    i've no problem with that
    but maybe you could use actual versions; q4 is 1.4.2...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •